// --------------------------------------------------------------------------
//
// Ampel.JS                                           Ulrich Mller 24.11.99
//                                                    Procida 400NT   JS 5.1
// Simulation einer Verkehrsampel
// Die einzelnen Lampen werden ber SetMotor geschaltet,
// fr die erforderlichen Werte wurden als symbolische Konstanten verwendet
//
// Systemanforderungen     : Windows Scripting Host (bei Win98 Standard)
//                           fischertechnik Interface (eingestellt :
//                           serielles an COM1 -> ft.OpenInterface
// zustzlich erforderlich : FishF532.clsFishFace (FishF532.DLL), MSVBVM50.DLL
//                           Registrieren mit regsvr32.EXE FishF532.DLL 
//                           regsvr32.EXE /u FishF532.DLL aufheben der Reg.
//                           ggf. Pfadangabe machen. Siehe auch Readme.TXT
// Alternativ Fish632.DLL (wenn schon installiert oder nur MSVBVM60.DLL
//   vorhanden. Dann CreateObject entsprechend anpassen.
//
// --------------------------------------------------------------------------

var cLampeRot = 3, cLampeGelb = 2, cLampeGruen = 1;
var cLampeAus = 0, cLampeEin = 1;
var ftiFehler = -1;
var ft, i;

WScript.Echo("Ampel wird gestartet");
var ft = new ActiveXObject("FishF532.clsFishFace");
var res = ft.OpenInterface("COM1");
if (res == ftiFehler){
  WScript.Echo("Da gibt es noch ein Interfaceproblem, eingeschaltet?, angesteckt?");
  WScript.Quit();
}

for(i=1; i<=3; i++){
  ft.SetMotor(cLampeGruen, cLampeAus);
  ft.SetMotor(cLampeGelb, cLampeEin);
  ft.WaitForTime(300);
  ft.SetMotor(cLampeGelb, cLampeAus);
  ft.SetMotor(cLampeRot, cLampeEin);
  ft.WaitForTime(1000);
  ft.SetMotor(cLampeGelb, cLampeEin);
  ft.WaitForTime(300);
  ft.SetMotor(cLampeRot, cLampeAus);
  ft.SetMotor(cLampeGelb, cLampeAus);
  ft.SetMotor(cLampeGruen, cLampeEin);
  ft.WaitForTime(800);
}
ft.ClearMotors();
ft.CloseInterface();
